Name:		vcdimager
Version:	0.7.24
Release:	3%{?dist}

Summary:	VideoCD (pre-)mastering and ripping tool
License:	GPLv2
Group:		Applications/Multimedia
URL:		http://www.gnu.org/software/vcdimager/
Source:		ftp://ftp.gnu.org/pub/gnu/vcdimager/vcdimager-%{version}.tar.gz
Requires(post):	info
Requires(preun): info
BuildRequires:	libcdio-devel >= 0.72, libxml2-devel >= 2.3.8
BuildRequires:	zlib-devel, pkgconfig, popt-devel
Requires:	libvcdinfo = %{version}-%{release}


%description
VCDImager allows you to create VideoCD BIN/CUE CD images from MPEG
files. These can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

Also included is VCDRip which does the reverse operation, that is to
rip MPEG streams from images or burned VideoCDs and to show
information about a VideoCD.


%package -n libvcdinfo
Summary:	Libraries for %{name}
Group:		System Environment/Libraries
Provides:	vcdimager-libs = %{version}-%{release}
Obsoletes:	vcdimager-libs < %{version}-%{release}


%description -n libvcdinfo
The libvcdinfo package contains shared libraries for %{name}.


%package -n libvcdinfo-devel
Summary:	Header files, libraries and development documentation for libvcdinfo
Group:		Development/Libraries
Requires:	libvcdinfo = %{version}-%{release}
Requires:	pkgconfig, libcdio-devel
Provides:	vcdimager-devel = %{version}-%{release}
Obsoletes:	vcdimager-devel < %{version}-%{release}


%description -n libvcdinfo-devel
This package contains the header files, static libraries and development
documentation for libvcdinfo. If you like to build or develop programs
using libvcdinfo, you will need to install libvcdinfo-devel.


%prep
%setup -q


%build
%configure \
    --enable-static \
    --enable-shared \
    --with-pic \
    --disable-dependency-tracking
# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" INSTALL="install -p"
# Sometimes this file gets created... but we don't want it!
rm -f %{buildroot}%{_infodir}/dir


%clean
rm -rf %{buildroot}


%post -n libvcdinfo -p /sbin/ldconfig


%post
for infofile in vcdxrip.info vcdimager.info vcd-info.info; do
  /sbin/install-info %{_infodir}/${infofile} %{_infodir}/dir 2>/dev/null || :
done


%preun
if [ $1 -eq 0 ]; then
  for infofile in vcdxrip.info vcdimager.info vcd-info.info; do
    /sbin/install-info --delete %{_infodir}/${infofile} %{_infodir}/dir \
      2>/dev/null || :
  done
fi


%postun -n libvcdinfo -p /sbin/ldconfig


%files
%defattr(-,root,root,755)
%doc frontends/xml/videocd.dtd
%{_bindir}/cdxa2mpeg
%{_bindir}/vcd-info
%{_bindir}/vcdimager
%{_bindir}/vcdxbuild
%{_bindir}/vcdxgen
%{_bindir}/vcdxminfo
%{_bindir}/vcdxrip
%{_infodir}/vcdxrip.info.gz
%{_infodir}/vcdimager.info.gz
%{_infodir}/vcd-info.info.gz
%{_mandir}/man1/cdxa2mpeg.1.gz
%{_mandir}/man1/vcd-info.1.gz
%{_mandir}/man1/vcdimager.1.gz
%{_mandir}/man1/vcdxbuild.1.gz
%{_mandir}/man1/vcdxgen.1.gz
%{_mandir}/man1/vcdxminfo.1.gz
%{_mandir}/man1/vcdxrip.1.gz


%files -n libvcdinfo
%defattr(-,root,root,755)
%doc AUTHORS BUGS ChangeLog* COPYING FAQ NEWS README THANKS TODO
%{_libdir}/libvcdinfo.so.0
%{_libdir}/libvcdinfo.so.0.2.0


%files -n libvcdinfo-devel
%defattr(-,root,root,755)
%doc HACKING
%{_includedir}/libvcd/
%{_libdir}/libvcdinfo.so
%{_libdir}/libvcdinfo.a
%{_libdir}/libvcdinfo.la
%{_libdir}/pkgconfig/libvcdinfo.pc


%changelog
* Sat May 14 2011 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 0.7.24-3
- spec-file imported from the rpmfusion fedora package
- cleaned up spec-file
- renamed libs and devel to match our standards
- fix to remove rpath from libtool

